Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy > Class Template Reference

IN stub argument of fixed size element array. More...

`#include <Fixed_Array_Argument_T.h>`

Inheritance diagram for TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >:

[legend]
Collaboration diagram for TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >:

[legend]
List of all members.

## Public Member Functions
| In_Fixed_Array_Argument_T (const S_slice *x)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Marshal the argument into the given CDR output stream.
virtual void | interceptor_value (CORBA::Any *any) const
| Populate the given CORBA::Any result argument.
S_slice const * | arg (void) const
## Private Attributes
S_forany | x_

## Detailed Description

### template<typename S, typename S_slice, typename S_forany, typename Insert_Policy>
class TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >

IN stub argument of fixed size element array.

## Constructor & Destructor Documentation

template<typename S, typename S_slice, typename S_forany, typename Insert_Policy>
TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >::In_Fixed_Array_Argument_T | ( | const S_slice * | x | ) |

## Member Function Documentation

template<typename S, typename S_slice, typename S_forany, typename Insert_Policy>
ACE_INLINE const S_slice * TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >::arg | ( | void |  | ) | const

template<typename S, typename S_slice, typename S_forany, typename Insert_Policy>
void TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >::interceptor_value | ( | CORBA::Any * | any | ) | const`[virtual]`

| Populate the given CORBA::Any result argument. Note: The default implementation is a no-op. Reimplemented from TAO::Argument.

template<typename S, typename S_slice, typename S_forany, typename Insert_Policy>
TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::Boolean TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Marshal the argument into the given CDR output stream. Note: The default implementation simply returns `true`. Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_slice, typename S_forany, typename Insert_Policy>
S_forany TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >::x_`[private]`

The documentation for this class was generated from the following files:

- Fixed_Array_Argument_T.h
- Fixed_Array_Argument_T.cpp
- Fixed_Array_Argument_T.inl